xine-lib: xine-lib-1.2.12/src/demuxers/demux_vc1es.c File Reference

xine-lib 1.2.12

Data Structures | Macros | Functions
demux_vc1es.c File Reference
`#include <stdlib.h>`
`#include "group_video.h"`
`#include <xine/xine_internal.h>`
`#include <xine/xineutils.h>`
`#include <xine/compat.h>`
`#include <xine/demux.h>`
`#include "bswap.h"`

## Data Structures
struct | demux_vc1_es_t

## Macros
#define | LOG_MODULE "demux_vc1es"
#define | LOG_VERBOSE
#define | SCRATCH_SIZE 36
#define | PRIVATE_SIZE 44
#define | MODE_SMP 1
#define | MODE_AP 2

## Functions
static int | demux_vc1_es_next_smp (demux_vc1_es_t *this)
static int | demux_vc1_es_next_ap (demux_vc1_es_t *this)
static int | demux_vc1_es_send_chunk (demux_plugin_t *this_gen)
static int | demux_vc1_es_get_status (demux_plugin_t *this_gen)
static void | demux_vc1_es_send_headers (demux_plugin_t *this_gen)
static int | demux_vc1_es_seek (demux_plugin_t *this_gen, off_t start_pos, int start_time, int playing)
static void | demux_vc1_es_dispose (demux_plugin_t *this)
static int | demux_vc1_es_get_stream_length (demux_plugin_t *this_gen)
static uint32_t | demux_vc1_es_get_capabilities (demux_plugin_t *this_gen)
static int | demux_vc1_es_get_optional_data (demux_plugin_t *this_gen, void *data, int data_type)
static demux_plugin_t * | open_plugin (demux_class_t *class_gen, xine_stream_t *stream, input_plugin_t *input)
void * | demux_vc1es_init_class (xine_t *xine, const void *data)

## Macro Definition Documentation

## ◆ LOG_MODULE

#define LOG_MODULE "demux_vc1es"

## ◆ LOG_VERBOSE

#define LOG_VERBOSE

## ◆ MODE_AP

#define MODE_AP 2

## ◆ MODE_SMP

#define MODE_SMP 1

## ◆ PRIVATE_SIZE

#define PRIVATE_SIZE 44

## ◆ SCRATCH_SIZE

#define SCRATCH_SIZE 36

## Function Documentation

## ◆ demux_vc1_es_dispose()

static void demux_vc1_es_dispose | ( | demux_plugin_t * | this | ) |
| static

Referenced by open_plugin().

## ◆ demux_vc1_es_get_capabilities()

static uint32_t demux_vc1_es_get_capabilities | ( | demux_plugin_t * | this_gen | ) |
| static

References DEMUX_CAP_NOCAP.

Referenced by open_plugin().

## ◆ demux_vc1_es_get_optional_data()

static int demux_vc1_es_get_optional_data | ( | demux_plugin_t * | this_gen,
|  | void * | data,
|  | int | data_type
| ) |  |
| static

References DEMUX_OPTIONAL_UNSUPPORTED.

Referenced by open_plugin().

## ◆ demux_vc1_es_get_status()

static int demux_vc1_es_get_status | ( | demux_plugin_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ demux_vc1_es_get_stream_length()

static int demux_vc1_es_get_stream_length | ( | demux_plugin_t * | this_gen | ) |
| static

Referenced by open_plugin().

## ◆ demux_vc1_es_next_ap()

static int demux_vc1_es_next_ap | ( | demux_vc1_es_t * | this | ) |
| static

References BUF_VIDEO_VC1, buf_element_s::content, buf_element_s::extra_info, buf_element_s::free_buffer, input(), extra_info_s::input_normpos, buf_element_s::max_size, buf_element_s::mem, buf_element_s::pts, buf_element_s::size, and buf_element_s::type.

Referenced by demux_vc1_es_send_chunk().

## ◆ demux_vc1_es_next_smp()

static int demux_vc1_es_next_smp | ( | demux_vc1_es_t * | this | ) |
| static

References _X_LE_24, _X_LE_32, BUF_FLAG_FRAME_END, BUF_FLAG_FRAME_START, BUF_VIDEO_WMV9, buf_element_s::content, buf_element_s::decoder_flags, buf_element_s::free_buffer, input(), buf_element_s::max_size, buf_element_s::mem, buf_element_s::pts, SCRATCH_SIZE, buf_element_s::size, and buf_element_s::type.

Referenced by demux_vc1_es_send_chunk().

## ◆ demux_vc1_es_seek()

static int demux_vc1_es_seek | ( | demux_plugin_t * | this_gen,
|  | off_t | start_pos,
|  | int | start_time,
|  | int | playing
| ) |  |
| static

References _x_demux_flush_engine(), DEMUX_FINISHED, DEMUX_OK, input(), INPUT_IS_SEEKABLE, lprintf, mode(), and MODE_SMP.

Referenced by open_plugin().

## ◆ demux_vc1_es_send_chunk()

static int demux_vc1_es_send_chunk | ( | demux_plugin_t * | this_gen | ) |
| static

References DEMUX_FINISHED, demux_vc1_es_next_ap(), demux_vc1_es_next_smp(), mode(), and MODE_SMP.

Referenced by open_plugin().

## ◆ demux_vc1_es_send_headers()

static void demux_vc1_es_send_headers | ( | demux_plugin_t * | this_gen | ) |
| static

References _x_demux_control_start(), _x_stream_info_set(), BUF_FLAG_FRAME_END, BUF_FLAG_FRAMERATE, BUF_FLAG_HEADER, BUF_FLAG_STDHEADER, BUF_VIDEO_WMV9, buf_element_s::content, buf_element_s::decoder_flags, buf_element_s::decoder_info, DEMUX_OK, input(), buf_element_s::mem, mode(), MODE_SMP, PRIVATE_SIZE, buf_element_s::size, buf_element_s::type, xine_fast_memcpy, XINE_STREAM_INFO_HAS_AUDIO, and XINE_STREAM_INFO_HAS_VIDEO.

Referenced by open_plugin().

## ◆ demux_vc1es_init_class()

void * demux_vc1es_init_class | ( | xine_t * | xine,
|  | const void * | data
| ) |  |

References N_, NULL, open_plugin(), and demux_class_s::open_plugin.

## ◆ open_plugin()

static demux_plugin_t * open_plugin | ( | demux_class_t * | class_gen,
|  | xine_stream_t * | stream,
|  | input_plugin_t * | input
| ) |  |
| static

References _x_demux_read_header(), _X_LE_32, xine_stream_s::content_detection_method, DEMUX_FINISHED, demux_vc1_es_dispose(), demux_vc1_es_get_capabilities(), demux_vc1_es_get_optional_data(), demux_vc1_es_get_status(), demux_vc1_es_get_stream_length(), demux_vc1_es_seek(), demux_vc1_es_send_chunk(), demux_vc1_es_send_headers(), input(), lprintf, METHOD_BY_CONTENT, METHOD_BY_MRL, METHOD_EXPLICIT, mode(), MODE_AP, MODE_SMP, NULL, SCRATCH_SIZE, and xine_fast_memcpy.

Referenced by demux_vc1es_init_class().